{
  "name": "xiaofa-admin",
  "version": "2.0.12-dev",
  "private": true,
  "author": "Yutao",
  "scripts": {
    "dev": "set NODE_OPTIONS=--openssl-legacy-provider & vue-cli-service serve --mode dev",
    "serve": "vue-cli-service serve --mode serve",
    "build": "vue-cli-service build --mode prod",
    "lint": "vue-cli-service lint",
    "lint:eslint": "eslint {src,mock}/**/*.{vue,js} --fix",
    "lint:prettier": "prettier {src,mock}/**/*.{html,vue,css,sass,scss,js,md} --write",
    "lint:stylelint": "stylelint {src,mock}/**/*.{html,vue,css,sass,scss} --fix --cache --cache-location node_modules/.cache/stylelint/",
    "template": "plop",
    "build:report": "vue-cli-service build --report",
    "build:deploy": "start ./deploy.sh",
    "build:docker": "vue-cli-service build&&docker build --pull --rm -f \"dockerfile\" -t vueadminbeautifulpro:latest \".\"&&docker run --rm -d  -p 80:80/tcp vueadminbeautifulpro:latest",
    "global:install": "npm install -g nrm,cnpm,npm-check-updates",
    "globle:update": "ncu -g",
    "module:install": "npm install --registry=https://registry.npm.taobao.org&&cnpm i image-webpack-loader -D",
    "module:update": "ncu -u --reject screenfull,@vue/eslint-config-prettier,compression-webpack-plugin,eslint,eslint-plugin-prettier,filemanager-webpack-plugin,sass,sass-loader,webpack --registry https://registry.npm.taobao.org&&npm run module:install",
    "module:reinstall": "rimraf node_modules&&npm run module:install",
    "nrm:npm": "nrm use npm",
    "nrm:taobao": "nrm use taobao"
  },
  "dependencies": {
    "@logicflow/core": "^1.0.2",
    "@logicflow/extension": "^1.0.2",
    "@vuemap/vue-amap": "^0.1.17",
    "axios": "^0.26.1",
    "clipboard": "^2.0.10",
    "core-js": "^3.21.1",
    "dayjs": "^1.11.0",
    "echarts": "^5.3.2",
    "el-tree-transfer": "^2.4.7",
    "element-ui": "^2.15.7",
    "file-saver": "^2.0.5",
    "js-cookie": "^3.0.1",
    "jsencrypt": "^3.2.1",
    "jsplumb": "^2.15.6",
    "lodash": "^4.17.21",
    "mockjs": "^1.1.0",
    "nprogress": "^0.2.0",
    "qs": "^6.10.3",
    "register-service-worker": "^1.7.2",
    "resize-detector": "^0.3.0",
    "screenfull": "5.2.0",
    "vab-contextmenu": "^0.0.1",
    "vab-count": "^0.0.1",
    "vab-croppers": "^0.0.3",
    "vab-icons": "file:vab-icons",
    "vab-magnifier": "^0.0.1",
    "vab-player": "^0.0.5",
    "vab-quill": "^0.0.4",
    "vue": "^2.6.14",
    "vue-baidu-map": "^0.21.22",
    "vue-i18n": "^8.26.8",
    "vue-json-viewer": "^2.2.21",
    "vue-router": "^3.5.3",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.6.2",
    "xlsx": "^0.17.4",
    "zx-markdown-editor": "^0.0.2"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^4.5.15",
    "@vue/cli-plugin-eslint": "^4.5.15",
    "@vue/cli-plugin-pwa": "^4.5.15",
    "@vue/cli-plugin-router": "^4.5.15",
    "@vue/cli-plugin-vuex": "^4.5.15",
    "@vue/cli-service": "^4.5.15",
    "@vue/eslint-config-prettier": "6.0.0",
    "body-parser": "^1.20.0",
    "chalk": "^4.1.2",
    "chokidar": "^3.5.3",
    "compression-webpack-plugin": "6.1.1",
    "eslint": "6.8.0",
    "eslint-plugin-prettier": "3.4.1",
    "eslint-plugin-vue": "^8.2.0",
    "filemanager-webpack-plugin": "3.1.1",
    "image-webpack-loader": "^8.1.0",
    "lint-staged": "^12.3.7",
    "plop": "^3.0.5",
    "postcss": "^8.4.12",
    "postcss-html": "^1.3.0",
    "postcss-jsx": "^0.36.4",
    "postcss-scss": "^4.0.3",
    "postcss-syntax": "^0.36.2",
    "prettier": "^2.6.2",
    "raw-loader": "^4.0.2",
    "sass": "^1.49.7",
    "sass-loader": "10.2.0",
    "stylelint": "^14.6.1",
    "stylelint-config-prettier": "^9.0.3",
    "stylelint-config-recess-order": "^3.0.0",
    "svg-sprite-loader": "^6.0.11",
    "vab-templates": "^0.0.5",
    "vue-eslint-parser": "^8.0.1",
    "vue-plugin-utils": "1.0.3",
    "vue-template-compiler": "^2.6.14",
    "webpack": "4.46.0",
    "webpack-ld": "^1.0.2",
    "webpackbar": "^5.0.2"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "homepage": "https://www.lancerdt.cn",
  "license": "Mozilla Public License Version 2.0",
  "lint-staged": {
    "*.{js,jsx,vue}": [
      "vue-cli-service lint",
      "git add"
    ]
  },
  "participants": [
    "LiufengFish"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitee.com/lancerdt/lancerdt.git"
  }
}
